Bug 254211 - Review Request: guile-gnome-platform - Guile wrapper collection for the GNOME library stack
Review Request: guile-gnome-platform - Guile wrapper collection for the GNOME...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Extras Quality Assurance
:
Depends On: 226223 254209
Blocks: 256481
  Show dependency treegraph
 
Reported: 2007-08-24 15:29 EDT by Xavier Lamien
Modified: 2007-11-30 17:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-03 18:40:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chitlesh: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Lamien 2007-08-24 15:29:28 EDT
Spec : http://laxathom.fedorapeople.org/RPMS/guile-gnome-platform/guile-gnome-platform.spec
SRPM : http://laxathom.fedorapeople.org/RPMS/guile-gnome-platform/guile-gnome-platform-2.15.93-2.fc8.src.rpm

Description: 
The guile-gnome project brings the power of Scheme to your graphical
application. guile-gnome modules support the entire GNOME library
stack: from Pango to GnomeCanvas, GTK+ to GStreamer, Glade to
GtkSourceView, you will find in guile-gnome a comprehensive
environment for developing modern applications.
Comment 1 Chitlesh GOORAH 2007-08-26 19:52:58 EDT
#001: guile-cairo-devel already requires guile-devel
[build@goorah ~]$ rpm -qR guile-cairo-devel
cairo-devel
guile-cairo = 1.4.0-4.fc7
guile-devel

Remove guile-devel from the BR

#002: Requires should entail %{release}
Requires:        %{name} = %{version}-%{release}

#003: ORBit2-devel owns /usr/lib//orbit-2.0
remove %dir %{_libdir}/orbit-2.0 and add ORBit2-devel as requires

#004: (devel package) %{_libdir}/pkgconfig/* is owned by pkgconfig. Add 
pkconfig as requires

#005 the directory /usr/share/guile/site/ is required by guile
Add guile as Requires:

#006: typo Group:		Development/Librarie
missing "s"
Comment 2 Chitlesh GOORAH 2007-08-27 10:00:08 EDT
#007: Missing g-wrap-devel as Requires for %package devel

Requires:       g-wrap-devel
Comment 4 Chitlesh GOORAH 2007-08-27 15:49:45 EDT
I'm missing the following while installing :
[root@goorah ~]# 
rpm -ivh /home/chitlesh/rpmbuild/RPMS/i386/guile-gnome-platform-devel-2.15.93-3.fc7.i386.rpm /home/chitlesh/rpmbuild/RPMS/i386/guile-gnome-platform-2.15.93-3.fc7.i386.rpm
Preparing...                ########################################### [100%]
   1:guile-gnome-platform   ########################################### [ 50%]
install-info: No such file or directory 
for /usr/share/info/quile-gnome-tutorial.info.gz
   2:guile-gnome-platform-de########################################### [100%]

Notice the "q" on /usr/share/info/quile-gnome-tutorial.info.gz
Comment 6 Chitlesh GOORAH 2007-08-31 16:57:54 EDT
#001: Texinfo:
missing:
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

#002: -devel package
Requires:       guile-devel, g-wrap-devel

g-wrap-devel already requires guile-devel
remove guile-devel from requires of -devel

#003: The patches (%patch0 -p1)
Take as good example :
%patch0 -p1 -b .REASON

#004:rpmlint /home/chitlesh/rpmbuild/SRPMS/guile-gnome-platform-2.15.93-3.fc7.src.rpm
W: guile-gnome-platform strange-permission guile-gnome-platform-2.15.93.tar.gz 
0755
W: guile-gnome-platform strange-permission guile-gnome-platform.spec 0755
W: guile-gnome-platform mixed-use-of-spaces-and-tabs (spaces: line 1, tab: 
line 14)
Comment 8 Chitlesh GOORAH 2007-09-09 06:35:58 EDT
For the record, Xavier has excluded PPC64, because it can't be built under 
that arch. Upstream has been notified and they are working on it.

===============================

This package is approved by ME.

===============================
Comment 9 Xavier Lamien 2007-09-09 06:41:35 EDT
New Package CVS Request
=======================
Package Name: guile-gnome-platform
Short Description: Guile wrapper collection for the GNOME library stack
Owners: lxtnow@gmail.com
Branches: FC-6 F-7 EL-4 EL-5 Devel
InitialCC:
cvsextras commit: no


Comment 10 Mamoru TASAKA 2007-09-09 10:19:58 EDT
Well,

* First I cannot install this rpm.
----------------------------------------------------------------
[root@localhost guile-gnome-platform]# LANG=C rpm -ivh --test
guile-gnome-platform-2.15.93-4.fc8.i386.rpm 
Preparing...                ########################################### [100%]
        file /usr/share/info/dir from install of
guile-gnome-platform-2.15.93-4.fc8 conflicts with file from package info-4.9-2.fc8
---------------------------------------------------------------

* Would you explain why guile-gnome-platform should have
  "Requires: orbit2-devel"? (although the ownership of
  %_libdir/orbit-2.0 is apparently wrong..)

* build.log shows that fedora specific compilation flags are not
  honored under
  BUILD/guile-gnome-platform-2.15.93/gtk/gnome/gw

* Check the dependency for -devel package.
  For example,  guile-gnome-gtk-0.pc contains the line:
-------------------------------------------------
Requires: gobject-2.0 g-wrap-2.0-guile
-------------------------------------------------
  This means guile-gnome-platform-devel should have
  "Requires: g-wrap-devel 
Comment 11 Kevin Fenzi 2007-09-09 18:58:59 EDT
Xavier: Can you address the items from comment #10 and then reset the fedora-cvs
flag to ? when the package is ready? 
Comment 12 Xavier Lamien 2007-09-10 06:01:38 EDT
(In reply to comment #10)
> Well,
> 
> * First I cannot install this rpm.
> ----------------------------------------------------------------
> [root@localhost guile-gnome-platform]# LANG=C rpm -ivh --test
> guile-gnome-platform-2.15.93-4.fc8.i386.rpm 
> Preparing...                ########################################### [100%]
>         file /usr/share/info/dir from install of
> guile-gnome-platform-2.15.93-4.fc8 conflicts with file from package info-4.9-2.fc8
> ---------------------------------------------------------------

Thanks for pointed me this, not happened on mine.

> 
> * Would you explain why guile-gnome-platform should have
>   "Requires: orbit2-devel"? (although the ownership of
>   %_libdir/orbit-2.0 is apparently wrong..)
> 
_libdir/orbit-2.0 is currently owned by ORBit2-devel, so this package have to be
installed 

> * build.log shows that fedora specific compilation flags are not
>   honored under
>   BUILD/guile-gnome-platform-2.15.93/gtk/gnome/gw
> 

Will check this, thanks

> * Check the dependency for -devel package.
>   For example,  guile-gnome-gtk-0.pc contains the line:
> -------------------------------------------------
> Requires: gobject-2.0 g-wrap-2.0-guile
> -------------------------------------------------
>   This means guile-gnome-platform-devel should have
>   "Requires: g-wrap-devel 

this has already been fixed for release *-3
Comment 13 Mamoru TASAKA 2007-09-10 06:13:43 EDT
(In reply to comment #12)

> > * Would you explain why guile-gnome-platform should have
> >   "Requires: orbit2-devel"? (although the ownership of
> >   %_libdir/orbit-2.0 is apparently wrong..)
> > 
> _libdir/orbit-2.0 is currently owned by ORBit2-devel, 
> so this package have to be installed 

  - So I am now reviewing Merge review of ORBit2 (bug 226223).
    Anyway main package should not require ORBit2-devel.


> > * Check the dependency for -devel package.
> >   For example,  guile-gnome-gtk-0.pc contains the line:
> > -------------------------------------------------
> > Requires: gobject-2.0 g-wrap-2.0-guile
> > -------------------------------------------------
> >   This means guile-gnome-platform-devel should have
> >   "Requires: g-wrap-devel 
> 
> this has already been fixed for release *-3
  - Please also check other .pc file.
    For example, guile-gnome-libgnomeui-0.pc says -devel
    subpackage should require guile-cairo-devel

Comment 14 Xavier Lamien 2007-09-10 06:48:11 EDT
ok
Comment 16 Mamoru TASAKA 2007-09-11 01:16:08 EDT
Umm.. rebuild failed..
http://koji.fedoraproject.org/koji/taskinfo?taskID=155082

This is due to bug 285361
Comment 17 Mamoru TASAKA 2007-09-11 12:08:42 EDT
For me almost okay, except for 2 issues.

* For the line (in %prep)
-----------------------------------------------------
export CFLAGS="%{optflags} -I%{_libdir}/gcc/*-redhat-linux-gnu/include/"
sed -i "s|@GUILE_CAIRO_CFLAGS@|@GUILE_CAIRO_CFLAGS@
-I%{_libdir}/gcc/*-redhat-linux-gnu/include/|" gtk/gnome/gw/Makefile.in
-----------------------------------------------------
  - Well, my system does not have any directory which matches
    %_libdir/gcc/*-redhat-linux-gnu so these two lines can be
    removed

* rpmlint
  - rpmlint for installed -devel package complains about
    undefined-non-weak-symbol.
--------------------------------------------------------
guile-gnome-platform.i386: W: undefined-non-weak-symbol
/usr/lib/libguile-gnome-corba-0.so.0.0.0 TC_CORBA_sequence_CORBA_any_struct
guile-gnome-platform.i386: W: undefined-non-weak-symbol
/usr/lib/libguile-gnome-corba-0.so.0.0.0 TC_null_struct
(and so many lines)
--------------------------------------------------------
    Linking of libguile-gnome-corba-0.so against libORBit-2.so
    and libbonobo-2.so is missing. For a brief solution,
    adding
-------------------------------------------------------- 
export LDFLAGS="-lORBit-2 -lbonobo-2"
--------------------------------------------------------
    before %configure fixes this.

Comment 19 Mamoru TASAKA 2007-09-11 14:46:04 EDT
Also okay from me.
Comment 20 Xavier Lamien 2007-09-11 15:21:41 EDT
Thanks Mamoru.

Note: ownership on ORBit-2 need to be fix before importing.


New Package CVS Request
=======================
Package Name: guile-gnome-platform
Short Description: Guile wrapper collection for the GNOME library stack
Owners: lxtnow@gmail.com
Branches: FC-6 F-7 EL-4 EL-5 Devel
InitialCC:
cvsextras commit: no
Comment 21 Kevin Fenzi 2007-09-12 11:52:21 EDT
cvs done.
Comment 22 Mamoru TASAKA 2007-09-24 09:32:32 EDT
Xavier, ORBit2 directory ownership issue is not fixed.

So would you have this package explitly own the directory in issue
and import this package anyway?
Comment 23 Xavier Lamien 2007-09-28 08:26:33 EDT
Ownership on ORBit-2 has already been fixed but not imported yet. 
I'm still waitting that the bug #226223 is fixed.
Comment 24 Mamoru TASAKA 2007-09-28 08:40:14 EDT
(In reply to comment #23)
> Ownership on ORBit-2 has already been fixed but not imported yet. 
> I'm still waitting that the bug #226223 is fixed.

So, for now please make %_libdir/orbit-2.0 owned by 
guile-gnome-platform explicitly 
(i.e. add %dir %_libdir/orbit-2.0 until bug 226223 is solved)
and import this package.

(My message:
(In reply to comment #22)
> Xavier, ORBit2 directory ownership issue is not fixed.
 was for ORBit2 package)
Comment 25 Xavier Lamien 2007-10-03 18:39:25 EDT
imported and built.
thx all

Note You need to log in before you can comment on or make changes to this bug.